goldstift's 2 cent on technology and software development

Navigation

Probleme beim Login ins Elster ePortal mit Mac OS X

Ich hatte bis vor Kurzem einige Probleme, mich im Elster ePortal anzumelden. Im Folgenden will ich kurz den Fehler und die für mich funktionierende Lösung zeigen.

FEHLERBESCHREIBUNG

Wenn man auf der Startseite im linken Bereich den Punkt "Login > Software-Zertifikat" wählt und dann auf "Login" klickt, wird das Java Applet geladen und der grüne, sich drehende Kreis angezeigt. Es erscheint kein Popup, die Java-Konsole oder ähnliches!
Wirft man während dieser Wartezeit einen Blick in die sog. Fehlerkonsole des Browsers, so findet man die folgende Fehlermeldung:

Failed to load resource: https://www.elsteronline.de/eportal/
de.elster.portal.applet.ElsterAppletAnalyze.class the server 
responded with a status of 404 (Not Found)

Ich vermutete zunächst, dass hier ein Problem mit der Codebase des Applets vorliegt. Die Kollegen verwenden interessanter Weise das veraltete <object>-Tag, anstatt das wesentlich angenehmere JavaScript (deployJava.js)* von Oracle/ Sun zu verwenden.

* Es gibt eine überarbeitete Version des JavaScript von Atlassian, die auch unter Opera läuft!

SYSTEMUMGEBUNG
Betriebssystem: Mac OS X 10.6.5
Java: 1.6.0_22
Browser: Safari 5.0.3 (6533.19.4)
Browser2: Firefox 4.0b7

RANDBEMERKUNG
Nach einer gewissen Zeit kommt anscheinend ein Timeout woraufhin eine neue Seite geöffnet und folgende Fehlermeldungen angezeigt werden:

Konfigurations-Assistent

Die Überprüfung der Konfiguration Ihres Computers wurde soeben durchgeführt.

Fehlende Voraussetzung


Java Sicherheitseinstellungen

Ihr System erfüllt nicht die grundlegenden Voraussetzungen zur Nutzung des ElsterOnline-Portals. Voraussetzung für die Nutzung von ElsterOnline ist die Einstellung AllPermissions in den Java-Sicherheitseinstellungen für signierte Applets.

Kein kompatibles Java-Plugin installiert

Ihr System erfüllt nicht die grundlegenden Voraussetzungen zur Nutzung des ElsterOnline-Portals. Wir empfehlen Ihnen, falls ElsterOnline dies für Ihr Betriebssystem unterstützt (siehe Anforderungen), das aktuelle Java Runtime Environment (JRE) zu installieren. Zum Download der neuesten Version der Java-Software rufen Sie bitte die Java-Homepage (http://www.java.com/de/) auf. Diese Seiten enthalten detaillierte Anweisungen zum Download und zur Installation der Java-Software (JRE).


Warnhinweis Nicht erkanntes Betriebssystem


Ihr Betriebssystem wurde nicht erkannt und wird möglicherweise von ElsterOnline nicht unterstützt. Eine Liste der von ElsterOnline unterstützten Betriebssysteme finden Sie unter Anforderungen. Die problemlose Nutzung von ElsterOnline kann mit Ihrem Betriebssystem möglich sein, selbst wenn es nicht in der Anforderungsliste aufgeführt ist. Dies wird jedoch nicht garantiert. Falls ein Problem auftritt, kann Sie die Hotline nur dann bei der Behebung unterstützen, falls Ihr Betriebssystem in der Anforderungsliste enthalten ist.


Randbemerkung:
Auf dem System war die aktuellste Java Version (siehe Versionsangabe oben) installiert und in den Anforderungen für Elster ist Mac OS X 10.6.5 mit JRE6+Safari5 als unterstützte Umgebung freigegeben.

Lösung: Neuinstallation

My next Conferences